mxGraphMlShapeNode (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlShapeNode

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlShapeNode

    public class mxGraphMlShapeNode

extends Object

Constructor Summary
`mxGraphMlShapeNode()` Construct an empty shape Node
`mxGraphMlShapeNode(Element shapeNodeElement)` Construct a Shape Node from a xml Shape Node Element.
`mxGraphMlShapeNode(String dataHeight, String dataWidth, String dataX, String dataY, String dataStyle)` Construct a shape Node with the given parameters

Method Summary
`Element` | `generateElement(Document document)` Generates a Shape Node Element from this class.
`String` | `getDataHeight()`
`String` | `getDataLabel()`
`String` | `getDataStyle()`
`String` | `getDataWidth()`
`String` | `getDataX()`
`String` | `getDataY()`
`void` | `setDataHeight(String dataHeight)`
`void` | `setDataLabel(String dataLabel)`
`void` | `setDataStyle(String dataStyle)`
`void` | `setDataWidth(String dataWidth)`
`void` | `setDataX(String dataX)`
`void` | `setDataY(String dataY)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlShapeNode

    public mxGraphMlShapeNode(String dataHeight,
                              String dataWidth,
                              String dataX,
                              String dataY,
                              String dataStyle)

  Construct a shape Node with the given parameters

  Parameters:
    `dataHeight` - Node's Height
    `dataWidth` - Node's Width
    `dataX` - Node's X coordinate.
    `dataY` - Node's Y coordinate.
    `dataStyle` - Node's style.

### mxGraphMlShapeNode

    public mxGraphMlShapeNode()

  Construct an empty shape Node

### mxGraphMlShapeNode

    public mxGraphMlShapeNode(Element shapeNodeElement)

  Construct a Shape Node from a xml Shape Node Element.

  Parameters:
    `shapeNodeElement` - Xml Shape Node Element.

Method Detail

### generateElement

    public Element generateElement(Document document)

  Generates a Shape Node Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

### getDataHeight

    public String getDataHeight()

### setDataHeight

    public void setDataHeight(String dataHeight)

### getDataWidth

    public String getDataWidth()

### setDataWidth

    public void setDataWidth(String dataWidth)

### getDataX

    public String getDataX()

### setDataX

    public void setDataX(String dataX)

### getDataY

    public String getDataY()

### setDataY

    public void setDataY(String dataY)

### getDataLabel

    public String getDataLabel()

### setDataLabel

    public void setDataLabel(String dataLabel)

### getDataStyle

    public String getDataStyle()

### setDataStyle

    public void setDataStyle(String dataStyle)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.